##########################################################
##                                                      ##
##    Teilskript 0: - Installation von Zusatzpaketen    ##
##                  - Anlegen der Verzeichnisstruktur   ##
##                                                      ##
##########################################################

# Installation von benoetigten Zusatzpaketen
# Auf Linux-Systemen koennen zusätzliche externe Abhaengigkeiten bestehen, wenn Pakete aus dem Quellcode
# kompiliert werden muessen. Auf Debian-basierten Systemen (Debian, Ubuntu, Linux Mint ...) empfiehlt es sich
# vorher zu ueberpruefen ob "build-essential" installiert ist und dies ggf. nachzuholen. 
# ("sudo apt-get install build-essential")
install.packages(c("sp", "rgdal", "raster", "biomod2", "hier.part", "ncdf4", "ncdf4.helpers", "vegan"), dependencies=TRUE)


# Arbeitsverzeichnis für das Modellierungsprojekt festlegen, 
# unter Windows dabei Backslash (\) durch normalen Schraegstrich
# (/) ersetzen. Leerzeichen muessen mit einem Backslash maskiert 
# werden ("\ "). z.B.
# saemtlicher R-code sollte sich in einem Unterverzeichnis "code" befinden.

#setwd("C:/Users/Max\ Mustermann/Projekte/RISKTOOL_example/")
setwd("/home/nils/workspace/risktool/RISKTOOL_rewrite/RISKTOOL_example/")

# Ausführen von "risktool-settings.r"
# * laden der zuvor installierten Zusatzpakere
# * automatisches anlegen der benoetigte Verzeichnisstruktur unterhalb des
#   Arbeitsverzeichnisses, sofern sie noch nicht existiert.
#   Die Pfade koennen bei Bedarf durch Aenderungen in "risktool-settings.r"
#   angepasst werden, fuer das Beispielprojekt wird dies allerdings nicht empfohlen.
# * Definition von Koordinatensystem/Kartenprojektion der Vorkommensdaten.
#   Standardeinstellung ist "WGS84" fuer normale Geographische Koordinaten
#   in Dezimalgrad. Kann bei Bedarf durch angabe des korrekten "proj4"-Codes
#   in "risktool-settings.r" angepasst werden.
source("./code/risktool-settings.r")
