## laden benoetigter R-Pakete
library(sp)
library(rgdal)
library(raster)
library(biomod2)
library(hier.part)
library(ncdf4)
library(ncdf4.helpers)
library(vegan)

#############################################################
# benoetigte Funktionen aus resktool-functions.r laden
source("./code/risktool-functions.r")

#############################################################
# Unter-Verzeichnisse für Daten definieren
# hier sind normalerweise keine Anderungen nötig
path.data <- paste0(getwd(), "/data/")
path.envir.baseline <- paste0(path.data, "environment/bioclim_baseline/")
path.envir.baseline.cropped <- paste0(path.envir.baseline, "cropped/")
path.envir.future <- paste0(path.data, "environment/bioclim_future/")
path.envir.future.cropped <- paste0(path.envir.future, "cropped/")
path.speciesdata <- paste0(path.data, "presences/")
path.misc <- paste0(path.data, "misc/")
path.output <- paste0(getwd(), "/results/")
path.tas <- paste0(path.data, "environment/daily_temperature/")

# Verzeichnisstruktur anlegen
for(i in c(path.envir.baseline.cropped, path.envir.future.cropped, path.speciesdata, path.misc, path.output, path.tas)){
  if(!file.exists(i)){
    dir.create(i, recursive=TRUE)
  }
}

# geographische Projektionsangaben für Vorkommensdaten (hier: WGS84)
proj4.pres <- CRS("+proj=longlat +ellps=WGS84 +datum=WGS84 +no_defs +towgs84=0,0,0")

# Erstellen eines Vektors, der die Namen aller Umweltvariablen enthaelt (hier: Bioclim)
envlayers <- c(paste("bio", c(as.character(1:19)), sep="_"))

# Name der untersuchten Art (kann frei gewaehlt werden)
speciesname <- "testspecies"
